Package org.silverpeas.mobile.client.common

## Class ServicesLocator

- java.lang.Object
- - org.silverpeas.mobile.client.common.ServicesLocator

-     public class ServicesLocator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServicesLocator()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ServiceAuthentication` | `getRestServiceAuthentication​(String login, String password, String domainId)` |
    `static ServiceComment` | `getRestServiceComment()` |
    `static ServiceRestDocuments` | `getRestServiceDocuments()` |
    `static ServiceTickets` | `getRestServiceTickets()` |
    `static ServiceAlmanach` | `getServiceAlmanach()` |
    `static ServiceBlog` | `getServiceBlog()` |
    `static ServiceClassifieds` | `getServiceClassifieds()` |
    `static ServiceConnection` | `getServiceConnection()` |
    `static ServiceContact` | `getServiceContact()` |
    `static ServiceDocuments` | `getServiceDocuments()` |
    `static ServiceFaq` | `getServiceFaq()` |
    `static ServiceFormsOnline` | `getServiceFormsOnline()` |
    `static ServiceHyperLink` | `getServiceHyperLink()` |
    `static ServiceMedia` | `getServiceMedia()` |
    `static ServiceMyLinks` | `getServiceMyLinks()` |
    `static ServiceNavigation` | `getServiceNavigation()` |
    `static ServiceNews` | `getServiceNews()` |
    `static ServiceNotifications` | `getServiceNotifications()` |
    `static ServicePassword` | `getServicePassword()` |
    `static ServiceReminder` | `getServiceReminder()` |
    `static ServiceResourcesManager` | `getServiceResourcesManager()` |
    `static ServiceRSE` | `getServiceRSE()` |
    `static ServiceSearch` | `getServiceSearch()` |
    `static ServiceSurvey` | `getServiceSurvey()` |
    `static ServiceTask` | `getServiceTasks()` |
    `static ServiceTermsOfService` | `getServiceTermsOfService()` |
    `static ServiceUserCalendar` | `getServiceUserCalendar()` |
    `static ServiceWorkflow` | `getServiceWorkflow()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServicesLocator

          public ServicesLocator()

  - ### Method Detail

    - #### getRestServiceAuthentication

          public static ServiceAuthentication getRestServiceAuthentication​(String login,
                                                                           String password,
                                                                           String domainId)

    - #### getServiceBlog

          public static ServiceBlog getServiceBlog()

    - #### getServiceResourcesManager

          public static ServiceResourcesManager getServiceResourcesManager()

    - #### getServiceFaq

          public static ServiceFaq getServiceFaq()

    - #### getServiceFormsOnline

          public static ServiceFormsOnline getServiceFormsOnline()

    - #### getServiceTermsOfService

          public static ServiceTermsOfService getServiceTermsOfService()

    - #### getServicePassword

          public static ServicePassword getServicePassword()

    - #### getServiceMyLinks

          public static ServiceMyLinks getServiceMyLinks()

    - #### getRestServiceComment

          public static ServiceComment getRestServiceComment()

    - #### getRestServiceTickets

          public static ServiceTickets getRestServiceTickets()

    - #### getRestServiceDocuments

          public static ServiceRestDocuments getRestServiceDocuments()

    - #### getServiceReminder

          public static ServiceReminder getServiceReminder()

    - #### getServiceUserCalendar

          public static ServiceUserCalendar getServiceUserCalendar()

    - #### getServiceAlmanach

          public static ServiceAlmanach getServiceAlmanach()

    - #### getServiceHyperLink

          public static ServiceHyperLink getServiceHyperLink()

    - #### getServiceWorkflow

          public static ServiceWorkflow getServiceWorkflow()

    - #### getServiceClassifieds

          public static ServiceClassifieds getServiceClassifieds()

    - #### getServiceSurvey

          public static ServiceSurvey getServiceSurvey()

    - #### getServiceNews

          public static ServiceNews getServiceNews()

    - #### getServiceNotifications

          public static ServiceNotifications getServiceNotifications()

    - #### getServiceSearch

          public static ServiceSearch getServiceSearch()

    - #### getServiceMedia

          public static ServiceMedia getServiceMedia()

    - #### getServiceDocuments

          public static ServiceDocuments getServiceDocuments()

    - #### getServiceRSE

          public static ServiceRSE getServiceRSE()

    - #### getServiceNavigation

          public static ServiceNavigation getServiceNavigation()

    - #### getServiceTasks

          public static ServiceTask getServiceTasks()

    - #### getServiceConnection

          public static ServiceConnection getServiceConnection()

    - #### getServiceContact

          public static ServiceContact getServiceContact()